API reference
Tax Ids
You can add one or multiple tax IDs to a customer or account. Customer and account tax IDs get displayed on related invoices and credit notes. Related guides: Customer tax identification numbers, Account tax IDs
https://api.knoxapi.comCreate a tax ID
POST/v1/tax_ids
Creates a new account or customer tax_id object.
Body parameters
typestringRequiredType of the tax ID, one of
ad_nrt,ae_trn,al_tin,am_tin,ao_tin,ar_cuit,au_abn,au_arn,aw_tin,az_tin,ba_tin,bb_tin,bd_bin,bf_ifu,bg_uic,bh_vat,bj_ifu,bo_tin,br_cnpj,br_cpf,bs_tin,by_tin,ca_bn,ca_gst_hst,ca_pst_bc,ca_pst_mb,ca_pst_sk,ca_qst,cd_nif,ch_uid,ch_vat,cl_tin,cm_niu,cn_tin,co_nit,cr_tin,cv_nif,de_stn,do_rcn,ec_ruc,eg_tin,es_cif,et_tin,eu_oss_vat,eu_vat,fo_vat,gb_vat,ge_vat,gi_tin,gn_nif,hk_br,hr_oib,hu_tin,ic_nif,id_npwp,il_vat,in_gst,is_vat,it_cf,jp_cn,jp_rn,jp_trn,ke_pin,kg_tin,kh_tin,kr_brn,kz_bin,la_tin,li_uid,li_vat,lk_vat,ma_vat,md_vat,me_pib,mk_vat,mr_nif,mx_rfc,my_frp,my_itn,my_sst,ng_tin,no_vat,no_voec,np_pan,nz_gst,om_vat,pe_ruc,ph_tin,pl_nip,py_ruc,ro_tin,rs_pib,ru_inn,ru_kpp,sa_vat,sg_gst,sg_uen,si_tin,sn_ninea,sr_fin,sv_nit,th_vat,tj_tin,tr_tin,tw_vat,tz_vat,ua_vat,ug_tin,us_ein,uy_ruc,uz_tin,uz_vat,ve_rif,vn_tin,za_vat,zm_tin, orzw_tinPossible valuesad_nrtae_trnal_tinam_tinao_tinar_cuitau_abnau_arnaw_tinaz_tinba_tinbb_tinbd_binbf_ifubg_uicbh_vat- and 101 more
valuestringRequiredValue of the tax ID.
expandarray of stringsSpecifies which fields in the response should be expanded.
ownerobjectThe account or customer the tax ID belongs to. Defaults to
owner[type]=self.Show 4 child parameters
typestringRequiredPossible valuesaccountapplicationcustomerself
accountstringcustomerstringcustomer_accountstring
Returns
The tax_id object.
curl https://api.knoxapi.com/v1/tax_ids \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d type=eu_vat \
-d value=DE123456789const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const taxId = await stripe.taxIds.create({
type: 'eu_vat',
value: 'DE123456789',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
tax_id = client.v1.tax_ids.create(params={
"type": "eu_vat",
"value": "DE123456789",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
tax_id = Stripe::TaxId.create({
type: 'eu_vat',
value: 'DE123456789',
}){
"country": "DE",
"created": 1234567890,
"customer": "cus_QXg1o8vcGmoR32",
"id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
"livemode": false,
"object": "tax_id",
"owner": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer",
"customer_account": null
},
"type": "eu_vat",
"value": "DE123456789",
"verification": {
"status": "pending",
"verified_address": null,
"verified_name": null
},
"customer_account": null
}List all tax IDs
GET/v1/tax_ids
Returns a list of tax IDs.
Query parameters
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
ownerobjectThe account or customer the tax ID belongs to. Defaults to
owner[type]=self.Show 4 child parameters
typestringRequiredPossible valuesaccountapplicationcustomerself
accountstringcustomerstringcustomer_accountstring
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of tax_id objects.
curl -G https://api.knoxapi.com/v1/tax_ids \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.taxIds.list({
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.tax_ids.list(params={
"limit": 3,
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::TaxId.list({
limit: 3,
}){
"object": "list",
"url": "/v1/tax_ids",
"has_more": false,
"data": [
{
"country": "DE",
"created": 1234567890,
"customer": "cus_QXg1o8vcGmoR32",
"id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
"livemode": false,
"object": "tax_id",
"owner": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer",
"customer_account": null
},
"type": "eu_vat",
"value": "DE123456789",
"verification": {
"status": "pending",
"verified_address": null,
"verified_name": null
},
"customer_account": null
}
]
}Retrieve a tax ID
GET/v1/tax_ids/{id}
Retrieves an account or customer tax_id object.
Path parameters
idstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The tax_id object.
curl https://api.knoxapi.com/v1/tax_ids/txi_1Pgc6sB7WZ01zgkWXkvC78jZ \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const taxId = await stripe.taxIds.retrieve('txi_1Pgc6sB7WZ01zgkWXkvC78jZ');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
tax_id = client.v1.tax_ids.retrieve("txi_1Pgc6sB7WZ01zgkWXkvC78jZ")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
tax_id = Stripe::TaxId.retrieve('txi_1Pgc6sB7WZ01zgkWXkvC78jZ'){
"country": "DE",
"created": 1234567890,
"customer": "cus_QXg1o8vcGmoR32",
"id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
"livemode": false,
"object": "tax_id",
"owner": {
"customer": "cus_QXg1o8vcGmoR32",
"type": "customer",
"customer_account": null
},
"type": "eu_vat",
"value": "DE123456789",
"verification": {
"status": "pending",
"verified_address": null,
"verified_name": null
},
"customer_account": null
}Delete a tax ID
DELETE/v1/tax_ids/{id}
Deletes an existing account or customer tax_id object.
Path parameters
idstringRequired
Returns
The deleted_tax_id object.
curl -X DELETE https://api.knoxapi.com/v1/tax_ids/txi_1Pgc6sB7WZ01zgkWXkvC78jZ \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const deletedTaxId = await stripe.taxIds.del('txi_1Pgc6sB7WZ01zgkWXkvC78jZ');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
deleted_tax_id = client.v1.tax_ids.delete("txi_1Pgc6sB7WZ01zgkWXkvC78jZ")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
deleted_tax_id = Stripe::TaxId.delete('txi_1Pgc6sB7WZ01zgkWXkvC78jZ'){
"deleted": true,
"id": "txi_1Pgc6sB7WZ01zgkWXkvC78jZ",
"object": "tax_id"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.